%define major           2
%define api             0.8.1
%define libname         %mklibname %{name} %{api} %{major}
%define develname       %mklibname %{name} -d

Name:           guichan
Version:        0.8.3
Release:        %mkrel 1
Summary:        Portable C++ GUI library for games using Allegro, SDL and OpenGL
Group:          System/Libraries
License:        BSD
URL:            https://github.com/darkbitsorg/guichan
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  allegro4-devel
BuildRequires:  nas-devel
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)

%description
Guichan is a small, efficient C++ GUI library designed for games. It comes
with a standard set of widgets and can use several different objects for
displaying graphics and grabbing user input.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{_lib}guichan-static-devel < 0.8.2-16

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%autosetup -p1

%build
%configure --enable-sdl \
           --enable-sdlimage \
           --enable-opengl \
           --enable-allegro \
           --disable-static
%make_build

%install
%make_install

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_libdir}/lib%{name}*-%{api}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat May 24 2025 daviddavid <daviddavid> 0.8.3-1.mga10
+ Revision: 2186221
- new version: 0.8.3 (from https://github.com/darkbitsorg/guichan)
- now libmajor is 2
- disable static build

* Fri Apr 01 2022 umeabot <umeabot> 0.8.2-15.mga9
+ Revision: 1839600
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 mrambo3501 <mrambo3501> 0.8.2-14.mga9
+ Revision: 1789890
- fix files list

* Thu Feb 13 2020 umeabot <umeabot> 0.8.2-13.mga8
+ Revision: 1512911
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8.2-12.mga7
+ Revision: 1298141
- Mageia 7 Mass Rebuild

* Sun Mar 12 2017 akien <akien> 0.8.2-11.mga6
+ Revision: 1092246
- Rebuild against allegro4

* Mon Feb 15 2016 umeabot <umeabot> 0.8.2-10.mga6
+ Revision: 960603
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 cjw <cjw> 0.8.2-9.mga6
+ Revision: 872425
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.8.2-8.mga5
+ Revision: 743025
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.2-7.mga5
+ Revision: 680043
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.2-6.mga4
+ Revision: 506084
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 fwang <fwang> 0.8.2-5.mga3
+ Revision: 354344
- fix build with automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 alien <alien> 0.8.2-4.mga1
+ Revision: 61037
- Remove BuildRoot
- imported package guichan


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.2-3mdv2011.0
+ Revision: 611048
- rebuild

* Thu Jan 07 2010 Jérôme Brenier <incubusss@mandriva.org> 0.8.2-2mdv2010.1
+ Revision: 487012
- put .la files in the devel subpackage
- complete rework for new version 0.8.2
- revival

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - old directory, without matching package

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Vigier <nvigier@mandriva.com>
    - Import guichan




* Sat Jun 7 2007 Zombie <ryushu@mandriva.org> 0.6.1-1mdv2007
- First Mandriva port

* Sat Apr  7 2007 Wart <wart@kobold.org> 0.6.1-1
- Update to 0.6.1
- Use better sf download url
- Remove BR: glut-devel as upstream no longer uses it.
- Add patch to add soname to shared libraries

* Wed Oct  4 2006 Hugo Cisneiros <hugo@devin.com.br> 0.5.0-1
- Upstream update
- Add freeglut-devel BR for the new release
- Removed unusued patches for this new version

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-3
- Rebuilt for FC6

* Sat Jun 10 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-2
- Using libGL-devel instead of mesa-libGL-devel in BuildRequires
- Put documentation under -devel instead of a whole -doc
- Touch "autoxxx" files to take out autoxxx commands use in devel
- Add proper location do doc files (/usr/share/doc/xxx/html)

* Fri Jun  9 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-1
- Initial RPM release
